読者です 読者をやめる 読者になる 読者になる

communityfield’s diary

サイト開発のメモです。メモなので結構適当です

phpアップデートにてまどる

今日はあるWPプラグインがphp5.3では動かなかったのでアップデート作業をした

 

ローカルはphp7.0だったので問題なかったが、サーバー側も7.0にしてしまおうと思ったのだが、大変な作業となり申した

下記を参考にとりあえず完了したとおもったのだが・・・

qiita.com

httpd再起動でアクセスしたところ「お使いのサーバーの PHP では WordPress に必要な MySQL 拡張を利用できないようです。」となる

正直CentOSもろもろの構成がわかってないので早速行き詰まってしまった

 

一旦php7.0を削除しphp5.6のインストールを進めることにした

しかし、症状は変わらないが対策を探していると以下の記事にたどり着いた

www.maruweb.jp.net

自分と似ている症状だったので同じような行程でなんとか解決できました

CentOS使い慣れないからもう少し習得したいところ

 

今日の予定作業がほとんど進まず無念

 

今週中の公開を目指しているが、公開前作業としては以下を予定

  • buddypressの日本語やく改善
  • 書き込み制限のキーワード追加
  • ユーザー登録時のスパム対策
  • サブサイトの整備
  • カテゴリの追加作業

その後の予定

  • ユーザー登録や投稿のテスト
  • 正式公開とプロモーション